
if ARGV.length == 0
	abort "Specify the file name"
end

fileName 	= 	ARGV.shift

extension	=	"hpp"

if ARGV.length > 0
		extension = ARGV.shift
end

puts "Creating shim file for #{fileName}"

BASEDIR	=	"inprogress/"


if not fileName =~ /(\w+?)_(.*?)\.h/
		abort "Cannot process #{fileName}"
else
		shimFileName	=	BASEDIR + $1 + "/" + $2 + "." + extension

		if File::exist?(shimFileName)
				abort "#{shimFileName} already exists"
		else
				f = File::new(shimFileName, "w")
				f << "#include <#{fileName}>" << "\n"
				f.close()

				puts "#{fileName} => #{shimFileName}"
		end 
end



